Description

Would be great to be able to configure an sql query that is used to popolate and new cutsom list field type

History

#1 - 09 Apr 2012 00:18 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

You have many interesting ideas, Terence! Thanks for sharing them!

#2 - 29 Apr 2012 20:30 - Terence Miller

The idea is that one custom field specify filter parameters for an sql query, where result of the query will fill some issue attributes. User then can

decide if he changes that filled fields by return values manually or just takes’em.

#3 - 16 Jan 2013 16:33 - Fred Leeflang

Maybe it would be a good idea to fill an extended field with values obtained from a REST request. MySQL servers are not always easily reachable,

HTTP servers much more often.

#4 - 28 May 2014 14:21 - Andriy Lesyuk

As I get it for now:

1. We have the custom field type, e.g., “SQL List”.

2. We specify the query like: SELECT id, title FROM news WHERE project_id = @project.

Where id is taken as select option id and title is taken as select option value.

3. Redmine renders the custom field using data, returned by the query.

4. Administrators are forced to use custom field view template to render the value.

Please specify the similar detailed workflows for your cases.
